use anyhow::Result;
use clap::Clap;

mod cli;
mod create;

use cli::{Command, Opts};

fn main() -> Result<()> {
    let opts: Opts = Opts::parse();

    match opts.command {
        Command::Create(c) => c.run(opts.verbose)?,
    }

    Ok(())
}
